Apache Tomcat 6.0.51

## org.apache.catalina.startup
Class TldRuleSet

    java.lang.Object
      org.apache.tomcat.util.digester.RuleSetBase
          org.apache.catalina.startup.TldRuleSet

All Implemented Interfaces:
  RuleSet

    public class TldRuleSet

extends RuleSetBase

RuleSet for processing the contents of a tag library descriptor resource.

Author:
  Craig R. McClanahan

Field Summary
`protected java.lang.String` | `prefix` The matching pattern prefix to use for recognizing our elements.

Fields inherited from class org.apache.tomcat.util.digester.RuleSetBase
`namespaceURI`

Constructor Summary
`TldRuleSet()` Construct an instance of this `RuleSet` with the default matching pattern prefix.
`TldRuleSet(java.lang.String prefix)` Construct an instance of this `RuleSet` with the specified matching pattern prefix.

Method Summary
`void` | `addRuleInstances(Digester digester)` Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).

Methods inherited from class org.apache.tomcat.util.digester.RuleSetBase
`getNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### prefix

    protected java.lang.String prefix

  The matching pattern prefix to use for recognizing our elements.

Constructor Detail

### TldRuleSet

    public TldRuleSet()

  Construct an instance of this `RuleSet` with the default matching pattern prefix.

### TldRuleSet

    public TldRuleSet(java.lang.String prefix)

  Construct an instance of this `RuleSet` with the specified matching pattern prefix.

  Parameters:
    `prefix` - Prefix for matching pattern rules (including the trailing slash character)

Method Detail

### addRuleInstances

    public void addRuleInstances(Digester digester)

  Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.

  Specified by:
    `addRuleInstances` in interface `RuleSet`
  Specified by:
    `addRuleInstances` in class `RuleSetBase`
  Parameters:
    `digester` - Digester instance to which the new Rule instances should be added.

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.